# Copyright 2018 by Teradata Corporation. All rights reserved.

restricted_words = {'corr', 'check', 'sqlexception', 'year', 'int', 'td_host', 'substr', 'count', 'monitor', 'add_months', 'natural', 'blob', 'convert_table_header', 'hashamp', 'transactiontime', 'desc', 'objects', 'max', 'like', 'referencing', 'iterate', 'disabled', 'locking', 'escape', 'execute', 'deferred', 'statistics', 'minimum', 'var_pop', 'before', 'replication', 'ins', 'named', 'lt', 'errortables', 'number', 'time', 'regr_avgy', 'specific', 'graphic', 'mindex', 'result', 'trim', 'leading', 'regr_avgx', 'char2hexint', 'clob', 'double', 'except', 'extract', 'trigger', 'acosh', 'sql', 'jar', 'current_user', 'password', 'work', 'min', 'regr_slope', 'union', 'compress', 'returns', 'logging', 'or', 'override', 'ansidate', 'with', 'until_changed', 'var_samp', 'local', 'parameter', 'rollup', 'protection', 'sqrt', 'exp', 'mode', 'minus', 'relative', 'bt', 'leave', 'mavg', 'regr_r2', 'rights', 'database', 'varbyte', 'private', 'some', 'et', 'loading', 'expand', 'between', 'upd', 'arglparen', 'continue', 'overlaps', 'uc', 'dynamic', 'cd', 'byteint', 'begin', 'release', 'cross', 'identity', 'if', 'explain', 'open', 'in', 'id2bigint', 'handler', 'retrieve', 'elseif', 'position', 'fallback', 'startup', 'varying', 'tan', 'hashbakamp', 'covar_pop', 'amp', 'at', 'td_rowloadid', 'update', 'lower', 'macro', 'but', 'first', 'public', 'log', 'initiate', 'degrees', 'abort', 'object', 'asin', 'trailing', 'format', 'long', 'case_n', 'until_closed', 'authorization', 'modifies', 'large', 'statement', 'instance', 'while', 'mlinreg', 'hashrow', 'modify', 'hour', 'terminate', 'real', 'start', 'mod', 'stddev_pop', 'atan2', 'role', 'bytes', 'descriptor', 'top', 'day', 'integer', 'from', 'inout', 'join', 'wait', 'dateform', 'maximum', 'null', 'when', 'end', 'integerdate', 'mload', 'new_table', 'then', 'dump', 'insert', 'numeric', 'method', 'ct', 'ctcontrol', 'session', 'request', 'revalidate', 'references', 'datablocksize', 'msum', 'del', 'replace', 'default', 'rank', 'values', 'order', 'no', 'sel', 'row', 'checkpoint', 'collation', 'else', 'sqlwarning', 'csum', 'ln', 'row_number', 'rowid', 'zeroifnull', 'transform', 'character', 'each', 'gt', 'char', 'nontemporal', 'uescape', 'skew', 'td_valist', 'dec', 'decimal', 'soundex', 'exec', 'spool', 'ret', 'get', 'percent', 'validtime', 'instead', 'timezone_minute', 'cos', 'set', 'current', 'uppercase', 'translate', 'regr_sxy', 'account', 'sinh', 'return', 'rename', 'full', 'external', 'udtcastas', 'out', 'all', 'regr_sxx', 'nullif', 'case', 'chars', 'td_authid', 'perm', 'exists', 'xmlplan', 'sample', 'tbl_cs', 'threshold', 'udtcastlparen', 'udttype', 'primary', 'characters', 'smallint', 'indicator', 'minute', 'constructor', 'cluster', 'char_length', 'abortsession', 'float', 'fastexport', 'only', 'intersect', 'old_table', 'setresrate', 'having', 'radians', 'rollforward', 'consume', 'is', 'not', 'percent_rank', 'resume', 'using', 'resignal', 'where', 'character_length', 'deallocate', 'comment', 'domain', 'monsession', 'atan', 'grouping', 'help', 'off', 'index', 'asc', 'current_role', 'old', 'prepare', 'expanding', 'generated', 'collect', 'ge', 'echo', 'connect', 'table', 'restart', 'cycle', 'ne', 'sets', 'width_bucket', 'undo', 'second', 'into', 'procedure', 'timestamp', 'user', 'current_timestamp', 'subscriber', 'next', 'drop', 'none', 'qualified', 'goto', 'covar_samp', 'acos', 'deterministic', 'queue', 'timezone_hour', 'cv', 'preserve', 'setsessrate', 'inconsistent', 'cursor', 'casespecific', 'function', 'for', 'volatile', 'cosh', 'hash', 'multiset', 'regr_count', 'column', 'tanh', 'trace', 'ave', 'vargraphic', 'equals', 'zone', 'add', 'over', 'substring', 'recursive', 'inner', 'errorfiles', 'range_n', 'byte', 'locator', 'create', 'access_lock', 'current_date', 'suspend', 'alias', 'on', 'journal', 'nowait', 'exit', 'binary', 'varchar', 'foreign', 'right', 'input', 'nullifzero', 'kurtosis', 'view', 'average', 'le', 'class', 'td_anytype', 'new', 'unique', 'commit', 'option', 'precision', 'by', 'temporary', 'translate_chk', 'restore', 'lock', 'dual', 'replcontrol', 'normalize', 'aggregate', 'found', 'delete', 'diagnostic', 'regr_intercept', 'atanh', 'alter', 'bigint', 'logon', 'select', 'signal', 'mdiff', 'undefined', 'any', 'month', 'both', 'revoke', 'to', 'cast', 'declare', 'show', 'value', 'mcharacters', 'group', 'abs', 'go', 'ordering', 'udtusage', 'distinct', 'call', 'do', 'type', 'transaction', 'limit', 'give', 'rollback', 'ss', 'summary', 'date', 'cm', 'without', 'qualify', 'variant_type', 'cs', 'error', 'rows', 'flush', 'close', 'freespace', 'eq', 'upper', 'title', 'string_cs', 'fetch', 'hashbucket', 'msubstr', 'until', 'sin', 'repeat', 'key', 'avg', 'loop', 'sqltext', 'merge', 'coalesce', 'immediate', 'permanent', 'language', 'profile', 'atomic', 'asinh', 'random', 'sum', 'scroll', 'as', 'octet_length', 'contains', 'sampleid', 'after', 'stddev_samp', 'interval', 'grant', 'of', 'and', 'outer', 'map', 'reads', 'udtmethod', 'left', 'constraint', 'admin', 'monresource', 'stepinfo', 'regr_syy', 'current_time', 'cube', 'privileges', 'enabled', 'quantile'}
